Package com.google.android.exoplayer2.ext.vp9

## Class VpxOutputBuffer

- java.lang.Object
- - com.google.android.exoplayer2.decoder.Buffer
  - - com.google.android.exoplayer2.decoder.OutputBuffer
    - - com.google.android.exoplayer2.video.VideoDecoderOutputBuffer
      - - com.google.android.exoplayer2.ext.vp9.VpxOutputBuffer

-     @Deprecated
      public final class VpxOutputBuffer
      extends VideoDecoderOutputBuffer

  Deprecated.
  Use `VideoDecoderOutputBuffer` instead.
  Video output buffer, populated by `VpxDecoder`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.decoder.OutputBuffer

      `OutputBuffer.Owner<S extends OutputBuffer>`

  - ### Field Summary

    - ### Fields inherited from class com.google.android.exoplayer2.video.VideoDecoderOutputBuffer

      `colorspace, COLORSPACE_BT2020, COLORSPACE_BT601, COLORSPACE_BT709, COLORSPACE_UNKNOWN, data, decoderPrivate, format, height, mode, supplementalData, width, yuvPlanes, yuvStrides`

    - ### Fields inherited from class com.google.android.exoplayer2.decoder.OutputBuffer

      `skippedOutputBufferCount, timeUs`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VpxOutputBuffer​(OutputBuffer.Owner<VideoDecoderOutputBuffer> owner)` | Deprecated. Creates VpxOutputBuffer.

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.video.VideoDecoderOutputBuffer

      `init, initForPrivateFrame, initForYuvFrame, release`

    - ### Methods inherited from class com.google.android.exoplayer2.decoder.Buffer

      `addFlag, clear, clearFlag, getFlag, hasSupplementalData, isDecodeOnly, isEndOfStream, isKeyFrame, setFlags`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VpxOutputBuffer

          public VpxOutputBuffer​(OutputBuffer.Owner<VideoDecoderOutputBuffer> owner)

      Deprecated.
      Creates VpxOutputBuffer.
      Parameters:
        `owner` - Buffer owner.